# Uses of Class
org.springframework.http.RequestEntity

Packages that use RequestEntity
Package
Description
org.springframework.http
Contains a basic abstraction over client/server-side HTTP.
org.springframework.web.client
Core package of the client-side web support.

## Uses of RequestEntity in org.springframework.http

Subclasses of RequestEntity in org.springframework.http
Modifier and Type
Class
Description
`static class`
`RequestEntity.UriTemplateRequestEntity<T>`
RequestEntity initialized with a URI template and variables instead of a `URI`.
Methods in org.springframework.http that return RequestEntity
Modifier and Type
Method
Description
`<T> RequestEntity<T>`
RequestEntity.BodyBuilder.`body(T body)`
Set the body of the request entity and build the RequestEntity.
`<T> RequestEntity<T>`
RequestEntity.BodyBuilder.`body(T body, Type type)`
Set the body and type of the request entity and build the RequestEntity.
`RequestEntity<Void>`
RequestEntity.HeadersBuilder.`build()`
Builds the request entity with no body.

## Uses of RequestEntity in org.springframework.web.client

Methods in org.springframework.web.client with parameters of type RequestEntity
Modifier and Type
Method
Description
`<T> ResponseEntity<T>`
RestOperations.`exchange(RequestEntity<?> requestEntity, Class<T> responseType)`
Execute the request specified in the given `RequestEntity` and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestOperations.`exchange(RequestEntity<?> requestEntity, org.springframework.core.ParameterizedTypeReference<T> responseType)`
Execute the request specified in the given `RequestEntity` and return the response as `ResponseEntity`.
`<T> ResponseEntity<T>`
RestTemplate.`exchange(RequestEntity<?> entity, Class<T> responseType)`
`<T> ResponseEntity<T>`
RestTemplate.`exchange(RequestEntity<?> entity, org.springframework.core.ParameterizedTypeReference<T> responseType)`